# InteractionManager - Pixi.JS

#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# InteractionManager Class

Defined in: `src/pixi/InteractionManager.js:7`
Module: PIXI

The interaction manager deals with mouse and touch events. Any DisplayObject can be interactive This manager also supports multitouch.

## Constructor

### `InteractionManager`

(

- `stage`

)

Defined in `src/pixi/InteractionManager.js:7`

#### Parameters:

- `stage` Stage

- Index
- Properties

## Item Index

### Properties

- mouse
- stage
- touchs

## Properties

### `mouse`

InteractionData

Defined in `src/pixi/InteractionManager.js:30`

the mouse data

### `stage`

Stage

Defined in `src/pixi/InteractionManager.js:17`

a refference to the stage

### `touchs`

Object

Defined in `src/pixi/InteractionManager.js:37`

an object that stores current touches (InteractionData) by id reference